<? $this->headLink()->appendStylesheet( '/css/profile-boost/main.css') ?>
<? $this->headScript()->prependFile( '/js/profile-boost/mobile/main.js', 'text/javascript'); ?>

<script type="text/javascript">
	$(document).ready( function () {
		Cubix.ProfileBoost.initEscortSelect();
	});
</script>

<style>
	.overlay {
		height: 100% !important;
	}
</style>

<div class="material header">
	<h2><?=__('mob-select-escort') ?></h2>
	<div class="header-small"><?= __('mob_scroll_search') ?></div>
</div>

<input class="escort-search" type="text" id="escort-search" placeholder="search by showname">

<div id="agencyEscorts">

	<form method="post" action="<?= $this->getLink('ob-profile-boost-select-escort') ?>">
		<input type="hidden" name="escort_id" id="escort-id" value=""/>
	</form>

	<div class="gray-box form" id="profile-boost">
		<div class="container">
			<? if ( ! count($this->escorts) ): ?>
			<span style="font-size: 14px; font-family: OpenSans-Semibold;"><?= __('no_escorts_found') ?></span>
			<? endif; ?>

			<? foreach($this->escorts as $i => $escort): ?>
				<div class="p-escort">
					<div class="escort-item <?= $i != 0 && $i % 6 == 0 ? 'last' : '' ?>" data-id="<?= $escort['id'] ?>">
						<div class="image fleft boost">
							<img src="<?= $escort['photo']->getUrl('mobile_thumb', true) ?>" width="100%"/>
							<? if ( $escort->is_suspicious ): ?>
								<span class="suspicious"></span>
							<? endif; ?>
						</div>
						<div class="clear"></div>
						<div class="details">
							<span class="escort-showname"><?= $escort['showname'] ?></span>,<br/>
							ID: #<span class="escort-id"><?= $escort['id'] ?></span>
						</div>
					</div>
				</div>
			<? endforeach; ?>
			<div class="sep"></div>
			<div class="clear"></div>
		</div>
	</div>
</div>
<script type="text/javascript">
	AgencyList.Escorts.liveSearch();
</script>